Custody providers

Link Existing Fireblocks Custody Wallet

Looks up a Fireblocks vault account, derives its asset address, and stores it as a custody wallet with details.

POSThttps://api.toku.com/tga/link-existing-fireblocks-custody-wallet

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/tga/link-existing-fireblocks-custody-wallet' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "vaultAccountId": "string",
  "vaultAccountName": "string"
}'
200 response
{
  "success": true,
  "wallet": {
    "custodyWalletID": "string",
    "custodyProviderID": "string",
    "orgID": "string",
    "walletLink": "string",
    "walletAddress": "string",
    "walletName": "string",
    "networkType": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": "string",
    "balanceAmount": "string",
    "balanceUpdatedAt": "string",
    "gasBalance": "string",
    "gasBalanceUpdatedAt": "string",
    "updatingBalance": true,
    "legacyMigratedAt": "string",
    "legacyModelID": "string",
    "parentCustodyWalletID": "string",
    "custodyProvider": {
      "custodyProviderID": "string",
      "custodyProviderName": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

orgIDstring<uuid>
vaultAccountIdstringrequired

Allowed: at least 1 characters

vaultAccountNamestringrequired

Allowed: at least 1 characters

Response

200Successful response
successbooleanrequired
walletobject | nullrequired
Show child attributes
custodyWalletIDstringrequired
custodyProviderIDstringrequired
orgIDstringrequired
walletLinkstring | nullrequired
walletAddressstringrequired
walletNamestringrequired
networkTypestringrequired
createdAtstringrequired
updatedAtstringrequired
deletedAtstring | nullrequired
balanceAmountstring | nullrequired
balanceUpdatedAtstring | nullrequired
gasBalancestring | nullrequired
gasBalanceUpdatedAtstring | nullrequired
updatingBalanceboolean | nullrequired
legacyMigratedAtstring | nullrequired
legacyModelIDstring | nullrequired
parentCustodyWalletIDstring | nullrequired
custodyProviderobjectrequired
Show child attributes
custodyProviderIDstringrequired
custodyProviderNamestringrequired
createdAtstringrequired
updatedAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits